#!/bin/bash

if [ "$#" -ne 1 ]; then
    echo "Usage: $0 <input.csv>"
    exit 1
fi

INPUT_FILE=$1

DBUSER=postgres
DBNAME=test_np
DBTABLE=bug_table
 
createdb --username $DBUSER $DBNAME 

psql --username $DBUSER $DBNAME -c "create extension postgis;" 

OSM_USE_CUSTOM_INDEXING=NO PG_USE_COPY=YES PGCLIENTENCODING=ISO-8859-1  /usr/bin/ogr2ogr2 \
    -f PostgreSQL "PG:host=localhost port=5432 user=$DBUSER dbname=$DBNAME" \
    -oo AUTODETECT_TYPE=YES \
    -oo QUOTED_FIELDS_AS_STRING=NO \
    -t_srs EPSG:4326 \
    -lco DIM=2 \
    -lco PRECISION=NO \
    $INPUT_FILE \
    -nln $DBTABLE \
    -nlt PROMOTE_TO_MULTI  

psql --username $DBUSER $DBNAME -c "select * from $DBTABLE;"
echo "BUG: the_geom should NOT be 'Infinity'"

dropdb --username $DBUSER $DBNAME
